package com.javacodegeeks.android.radiobuttonexample;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.Toast;
 
public class MainActivity extends Activity {
 
  private RadioGroup radioGroupId;
  private RadioButton radioGenderButton;
  private Button button;
 
  @Override
  public void onCreate(Bundle savedInstanceState) {
	super.onCreate(savedInstanceState);
	setContentView(R.layout.main);
 
	addButtonListener();
 
  }
 
  public void addButtonListener() {
 
	radioGroupId = (RadioGroup) findViewById(R.id.radioGenderGroup);
	
	button = (Button) findViewById(R.id.button);
 
	button.setOnClickListener(new OnClickListener() {
 
		@Override
		public void onClick(View v) {
 
		    // get the selected radio button from the group
			int selectedOption = radioGroupId.getCheckedRadioButtonId();
 
			// find the radiobutton by the previously returned id
		    radioGenderButton = (RadioButton) findViewById(selectedOption);
 
			Toast.makeText(MainActivity.this, radioGenderButton.getText(), Toast.LENGTH_SHORT).show();
 
		}
 
	});
 
  }
}